
body{
  font-family:Arial, Helvetica, sans-serif;
  margin:0;
  background:#0f0f0f;
  color:#f5f5f5;
}

header{
  padding:60px 20px;
  text-align:center;
}
/*Transparence hr*/
hr{
  border: none;
  height: 2px;
  opacity: 0.3;
  margin: 0px auto;
  width: 80%;
  background: linear-gradient(to right, transparent, #c36aff, transparent);
}

h1{
  font-size:42px;
  margin-bottom:10px;
}

h2{
  font-size:38px;
  margin-bottom:0px;
  margin-top: 0px;
  text-align: center;
}


section{
  padding:60px 20px;
}

.projects{
  display:grid;
  grid-template-columns:repeat(auto-fit,minmax(250px,1fr));
  gap:20px;
  margin-top:30px;
}

.card {
  background: #1b1b1b;
  padding: 25px;
  border-radius: 16px;
  transition: 0.3s ease;
  border: 1px solid #2a2a2a;
}

.card:hover {
  transform: translateY(-6px);
  border-color: #e66aff4d;
  box-shadow: 0 8px 25px rgba(106, 183, 255, 0.15);
}

.card h3 {
  margin-bottom: 10px;
  color: #fff;
  font-family: 'Times New Roman', Times, serif;
  font-size: 20px;
}

.description {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 14px;
  color: #cfcfcf;
  line-height: 1.5;
}

.tech {
  margin-top: 10px;
  font-size: 13px;
  color: #c36aff;
  font-weight: 500;
}

.btn {
  display: inline-block;
  margin-top: 10px;
  padding: 12px 18px;
  background: linear-gradient(135deg, #c36aff, #4da3e6);
  color: #fff;
  text-decoration: none;
  border-radius: 10px;
  font-weight: 600;
  transition: 0.3s ease;
  box-shadow: 0 4px 15px #e66aff4d;
}

.btn:hover {
  transform: translateY(-3px) scale(1.03);
  box-shadow: 0 6px 20px #e66aff4d;
}

.a1 {
  margin-top: 10px;
  font-size: 16px;
  color: #c36aff;
  font-weight: 500;
}

.contact-container {
  display: flex;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  max-width: 800px;
  margin: 1px auto;
  justify-items: center;
  justify-content: center;
}

.contact-container p {
  background: #1b1b1b;
  padding: 12px 16px;
  border-radius: 10px;
  border: 1px solid #2a2a2a;
  text-align: center;
  width: 100%;
  max-width: none;
}

.contact-container p:hover {
  border-color: #c36aff;
  transform: translateY(-3px);
  transition: 0.3s;
}

.contact-section {
  text-align: center;
}

.contact-section h2 {
  margin-bottom: 10px;
  font-size: 25px;
  letter-spacing: 1px;
}
@media (max-width: 768px) {
    .card {
        grid-template-columns: 1fr;
    }

    .contact-container {
        grid-template-columns: 1fr;
    }


}
footer{
  text-align:center;
  padding:30px 10px;
  color:#aaa;
}

